@media (max-width: 640px) {
    html,
    body {
        overflow-x: hidden !important;
    }
}
[dir="rtl"] .rtl-flip {
    transform: scaleX(-1);
}
.nav-menu-item a {
    transition: all 0.25s;
    cursor: pointer;
}
.nav-menu-item.active a,
.nav-menu-item:hover a {
    border-bottom: 1px solid;
    padding-bottom: 8px;
}

.min-h-260px {
    min-height: 260px;
}
.long-line-2 {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}

.success-message {
    background: darkgreen;
    color: #fff;
    border-radius: 7px;
    padding: 1rem;
    text-align: center;
    font-weight: bold;
}
.pe-10px {
    padding-inline-end: 10px;
}

.pool-card-xd .swiper {
    position: relative;
}
.pool-card-xd .swiper-slide img {
    max-height: 220px;
}

.pool-card-xd .next-priv {
    position: absolute;
    z-index: 99 !important;
    bottom: 8px;
    padding-inline: 6px;
    justify-content: space-between;
    width: 100%;
}
.pool-card-xd .next-priv img {
    width: auto !important;
}
.pool-link {
    cursor: pointer;
}
.apply-promo {
    display: flex;
    width: 100%;
    justify-content: space-between;
    border-radius: 5px;
    border: 1px solid #023a59;
    padding: 0.5rem 1rem;
    /* margin-bottom: 1rem; */
}
.apply-promo button {
    background: #023a59;
    color: #fff;
    border-radius: 5px;
    padding: 7px 1.5rem;
}
.grid-cols-4 {
    grid-template-columns: repeat(4, minmax(0, 1fr));
}
@media (min-width: 1024px) {
    .lg\:me-auto {
        margin-inline-end: auto !important;
    }
    body::before {
        content: "";
        position: fixed;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        z-index: -1;
        background-image: url("/assets/images/bg.png");
        background-repeat: repeat-y;
    }
    [dir="rtl"] body::before {
        transform: scaleX(-1);
    }
    .lg\:w-auto {
        width: auto;
    }
    .lg\:w-\[25\%\] {
        width: 25%;
    }
    .lg\:w-\[75\%\] {
        width: 75%;
    }
    .lg\:grid-cols-5 {
        grid-template-columns: repeat(5, minmax(0, 1fr));
    }
    .lg\:grid-cols-8 {
        grid-template-columns: repeat(8, minmax(0, 1fr));
    }
    .lg\:flex-nowrap {
        flex-wrap: nowrap;
    }

    .service-card img {
        width: 230px !important;
        height: 180px !important;
        object-fit: fill;
    }
}

.bg-green {
    background: #a2ffae4d;
}
.row-gap-1 {
    row-gap: 1rem;
}
.w-\[25\%\] {
    width: 25%;
}
/* blog */
.blog-item {
    transition: all 0.25s;
}

.blog-item:hover {
    filter: none;
    scale: 1.025;
}
.pt-0 {
    padding-top: 0px !important;
}
.blog-item img {
    height: 180px;
    object-fit: cover;
    border-radius: 10px;
}

.blog-item > div {
    min-height: 390px;
    max-height: 390px;
}

.item_share {
    background-color: #ffffff;
    display: flex;
    gap: 10px;
    align-items: center;
    justify-content: start;
    text-decoration: none;
    padding: 6px 16px;
    border-top: 4px solid transparent;
    border-radius: 4px;
    color: #023a59;
    border-color: #f0e2b4;
    transition: all 0.4s;
}
a.item_share:hover {
    transform: translateY(-5px);
    scale: 1.05;
}

.post-time-badge {
    background: #023a59;
    color: #fff;
    border-radius: 10px;
    padding: 3px 8px;
}

.water-card {
    transition: all 0.35s !important;
}
.water-card:hover {
    scale: 1.2;
    z-index: 999;
}

#agreement_checkbox:checked + label #checked_div {
    background: #023a59 !important;
    width: 100% !important;
    height: 100% !important;
    border-radius: 5px !important;
}
@media screen and (-webkit-min-device-pixel-ratio: 0) {
    #agreement_checkbox:checked + label #checked_div {
        background: #023a59 !important;
        width: 100% !important;
        height: 100% !important;
        -webkit-border-radius: 5px !important; /* Prefix for border-radius */
        border-radius: 5px !important;
    }
}

.pool-card-xd {
    height: 480px !important;
}

.swiper-pagination-bullet-active {
    background:#023a59 !important;
}

/* ///////////////////TICKER/////////////////// */
.ticker-container {
    overflow: hidden;
    width: 100%;
    background-color: #023a59;
    color: #fff;
}

.ticker {
    white-space: nowrap;
    animation: ticker-animation 25s linear infinite;
}
.ticker:hover {
    animation-play-state: paused;
}

@keyframes ticker-animation {
    0% { transform: translateX(100%); }
    100% { transform: translateX(-100%); }
}

.ticker p {
    display: inline-block;
    padding: 10px 20px;
    margin: 0;
}
.ticker img {
    display: inline-block;
    margin: 0;
}
